unit U_ParamMasterCompl;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, RzButton, RzRadChk, U_MasterComplCommon, ExtCtrls, RzPanel,
  cxLookAndFeelPainters, StdCtrls, cxButtons, siComp, siLngLnk, cxGraphics,
  cxLookAndFeels, Menus;

type
  TF_ParamMasterCompl = class(TForm)
    RzGroupBox1: TRzGroupBox;
    Propertyes_CheckBox: TRzCheckBox;
    Interfases_CheckBox: TRzCheckBox;
    Producerr_CheckBox: TRzCheckBox;
    btnOk: TcxButton;
    bCancel: TcxButton;
    lng_Forms: TsiLangLinked;
    procedure btnOkClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure Producerr_CheckBoxClick(Sender: TObject);
    procedure Interfases_CheckBoxClick(Sender: TObject);
    procedure Propertyes_CheckBoxClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure bCancelClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }

    ParamSelect: T_ParamSelect;
  end;

var
  F_ParamMasterCompl: TF_ParamMasterCompl;

implementation

{$R *.dfm}

procedure TF_ParamMasterCompl.btnOkClick(Sender: TObject);
begin
  ModalResult := mrOk;
end;

procedure TF_ParamMasterCompl.FormShow(Sender: TObject);
begin
  ParamSelect.ByProducer := True;
  ParamSelect.ByInterfaces := True;
  ParamSelect.ByPropertyes := True;
  Producerr_CheckBox.Checked := true;
  Interfases_CheckBox.Checked := true;
  Propertyes_CheckBox.Checked := true;
end;

procedure TF_ParamMasterCompl.Producerr_CheckBoxClick(Sender: TObject);
begin
  ParamSelect.ByProducer := Producerr_CheckBox.Checked;
end;

procedure TF_ParamMasterCompl.Interfases_CheckBoxClick(Sender: TObject);
begin
  ParamSelect.ByInterfaces := Interfases_CheckBox.Checked;
  if Interfases_CheckBox.Checked then
  begin
    Propertyes_CheckBox.Checked := true;
    Propertyes_CheckBox.Enabled := true;     
  end
  else
  begin
    Propertyes_CheckBox.Checked := false;
    Propertyes_CheckBox.Enabled := false;
  end;
end;

procedure TF_ParamMasterCompl.Propertyes_CheckBoxClick(Sender: TObject);
begin
   ParamSelect.ByPropertyes := Interfases_CheckBox.Checked;
end;



procedure TF_ParamMasterCompl.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
  ParamSelect.ByProducer := Producerr_CheckBox.Checked;
  ParamSelect.ByInterfaces := Interfases_CheckBox.Checked;
  if ParamSelect.ByInterfaces then
    ParamSelect.ByPropertyes := Propertyes_CheckBox.Checked
  else
    ParamSelect.ByPropertyes := False;
end;

procedure TF_ParamMasterCompl.bCancelClick(Sender: TObject);
begin
  ModalResult := mrCancel;
end;

end.
